<?php

/**************    Include cabecera  ***********************************/
require_once '../../principal_compra_reserva_ajax.php';

$tarifa            = array();
$tarifa['total']   = 0;
$tarifa['num']     = 0;
$tarifas           = explode(',', $_POST['tarifas']);
$usuarios          = explode(',', $_POST['lista']);
$hora              =  $_POST['hora'];
$i                 = 0;
$hay_limite_minimo = 0;
foreach ($tarifas as $key => $value) {
 
    // Calculo tarifa a mostrar según número de plazas y servicio
    $sql_tarifas = "SELECT  ug.minimo_usuarios
                    FROM tarifas t JOIN usuarios_grupos ug ON t.usuarios_grupo_id = ug.id
                    AND ug.activo = 1
                    AND ug.especial = 0
                    AND ug.mostrar_precio = 1
                    AND t.id IN (:tarifa_id)
                    ORDER BY t.id ASC";
 
    $result_tarifa = $conexion->prepare($sql_tarifas);
    $result_tarifa->execute(array( ':tarifa_id' =>  $tarifas[$i]                                         
    ));    
    $row_sala_horario_plazas = $result_tarifa->fetch(PDO::FETCH_ASSOC);
    $minimo_usuarios         = $row_sala_horario_plazas['minimo_usuarios'];
    $minimo_usuarios_calc    = $minimo_usuarios;
    if ($usuarios[$i] < $minimo_usuarios ){
        
        // Calculo tarifa a mostrar según número de plazas y servicio
        $sql_loc_tarifas = "SELECT  sum(lt.plazas_adulto) as plazas_adulto
                            FROM localizador_tarifas as lt          
                            INNER JOIN localizadores as l on l.localizador= lt.localizador
                            WHERE lt.sala_horario_id = :sala_horario_id
                            AND l.estado = 'pagado'
                            ";
        
        $result_tarifa = $conexion->prepare($sql_loc_tarifas);
            $result_tarifa->execute(array( 
                ':sala_horario_id' => $hora,                                         
                ':tarifa_id'       => $tarifas[$i],                                         
        ));    
        $row_hora             = $result_tarifa->fetch(PDO::FETCH_ASSOC);
        $minimo_usuarios_calc = $minimo_usuarios -  $row_hora['plazas_adulto'] ;
        if ($usuarios[$i] >=  $minimo_usuarios_calc){
            $hay_limite_minimo = 1;
        }else{
            $hay_limite_minimo = 0;
            break;
        }
    }else{
        $hay_limite_minimo = 1;
    }

    # code...
    $i++;
}

echo json_encode(array(
    'hay_limite_minimo' => $hay_limite_minimo,
    'limite_minimo'     => $minimo_usuarios_calc,
    'texto'             => _('La cantidad mínima de esta tarifa es ' . $minimo_usuarios_calc)
));

